package cn.ibizlab.humanresource.core.humanresource.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.humanresource.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.humanresource.core.humanresource.domain.HREducation;
/**
 * 关系型数据实体[HREducation] 查询条件对象
 */
@Slf4j
@Data
public class HREducationSearchContext extends QueryWrapperContext<HREducation> {

	private String n_hreducationname_like;//[教育信息名称]
	public void setN_hreducationname_like(String n_hreducationname_like) {
        this.n_hreducationname_like = n_hreducationname_like;
        if(!ObjectUtils.isEmpty(this.n_hreducationname_like)){
            this.getSearchCond().like("hreducationname", n_hreducationname_like);
        }
    }
	private String n_hremployeeid_eq;//[员工标识]
	public void setN_hremployeeid_eq(String n_hremployeeid_eq) {
        this.n_hremployeeid_eq = n_hremployeeid_eq;
        if(!ObjectUtils.isEmpty(this.n_hremployeeid_eq)){
            this.getSearchCond().eq("hremployeeid", n_hremployeeid_eq);
        }
    }
	private String n_hremployeename_eq;//[员工姓名]
	public void setN_hremployeename_eq(String n_hremployeename_eq) {
        this.n_hremployeename_eq = n_hremployeename_eq;
        if(!ObjectUtils.isEmpty(this.n_hremployeename_eq)){
            this.getSearchCond().eq("hremployeename", n_hremployeename_eq);
        }
    }
	private String n_hremployeename_like;//[员工姓名]
	public void setN_hremployeename_like(String n_hremployeename_like) {
        this.n_hremployeename_like = n_hremployeename_like;
        if(!ObjectUtils.isEmpty(this.n_hremployeename_like)){
            this.getSearchCond().like("hremployeename", n_hremployeename_like);
        }
    }
	private String n_degree_eq;//[学历]
	public void setN_degree_eq(String n_degree_eq) {
        this.n_degree_eq = n_degree_eq;
        if(!ObjectUtils.isEmpty(this.n_degree_eq)){
            this.getSearchCond().eq("degree", n_degree_eq);
        }
    }
	private String n_learnmodality_eq;//[学习形式]
	public void setN_learnmodality_eq(String n_learnmodality_eq) {
        this.n_learnmodality_eq = n_learnmodality_eq;
        if(!ObjectUtils.isEmpty(this.n_learnmodality_eq)){
            this.getSearchCond().eq("learnmodality", n_learnmodality_eq);
        }
    }
	private String n_schooltype_eq;//[学校性质]
	public void setN_schooltype_eq(String n_schooltype_eq) {
        this.n_schooltype_eq = n_schooltype_eq;
        if(!ObjectUtils.isEmpty(this.n_schooltype_eq)){
            this.getSearchCond().eq("schooltype", n_schooltype_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("hreducationname", query)   
            );
		 }
	}
}



